/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.cocoon.portal.wsrp.logging;

import org.apache.wsrp4j.log.LogManager;
import org.apache.wsrp4j.log.Logger;

/**
 * This log manager implementation just always returns the portal logger.<br/>
 * 
 * @author <a href="mailto:cziegeler@s-und-n.de">Carsten Ziegeler</a>
 * @author <a href="mailto:malessandrini@s-und-n.de">Michel Alessandrini</a>
 *
 * @version $Id: WSRPLogManager.java 433543 2006-08-22 06:22:54Z crossley $
 */
public class WSRPLogManager extends LogManager {

    /** The logger-object */
    protected final WSRPLogger logger;

    /**
     * constructor<br/>
     * 
     * @param logger
     */
    public WSRPLogManager(WSRPLogger logger) {
        this.logger = logger;
    }

    /**
     * @see org.apache.wsrp4j.log.LogManager#getLogger(java.lang.Class)
     */
    public Logger getLogger(Class arg0) {
        return this.logger;
    }

}
